Bug 663817 - Rename request: meego-gtk-engine - GTK engine for MeeGo Netbook UX
Rename request: meego-gtk-engine - GTK engine for MeeGo Netbook UX
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo12
  Show dependency treegraph
 
Reported: 2010-12-16 17:46 EST by Peter Robinson
Modified: 2012-01-23 05:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-23 05:13:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Michel Alexandre Salim 2010-12-18 16:55:49 EST
Almost ready; there are two small things that need fixing:

- release number should have the snapshot date, VCS used and (preferably) commit hash
- %install should start with the build root getting cleaned with rm -rf

(see full review below for both items)

* TODO Review [75%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [-] Package version [1/2]
      - [X] Version number
	    from configure.ac this should be 1.2.2, but there was a tag for
	    a 1.2.3 release. I'm assuming that therefore this is a 1.2.4
	    pre-release as you assumed, but could you bug upstream about it?
      - [ ] Release tag
	    probably should use either pre- or post-release snapshot scheme?
	    e.g. [0.]1.%{date}git%{gitrev}
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
	$ md5sum test.tar.bz2 ../SOURCES/meego-gtk-engine-1.2.4-20100610.tar.bz2 
	560d9be2744888096baf39dd8aacc506  test.tar.bz2
	560d9be2744888096baf39dd8aacc506  ../SOURCES/meego-gtk-engine-1.2.4-20100610.tar.bz2

  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
	  meego-gtk-engine.src:3: W: macro-in-comment %{name}
	  meego-gtk-engine.src:3: W: macro-in-comment %{version}
	  meego-gtk-engine.src:3: W: macro-in-comment %{git_version}
	  meego-gtk-engine.src:3: W: macro-in-comment %{name}
	  meego-gtk-engine.src:3: W: macro-in-comment %{version}
	  meego-gtk-engine.src:3: W: macro-in-comment %{git_date}
	  => can be ignored -- just checkout / packaging instructions

	  meego-gtk-engine.src: W: invalid-url Source0: meego-gtk-engine-1.2.4-20100610.tar.bz2
	  => can be ignored: snapshot package, not available upstream

    - [X] on x86_64.rpm
	  2 packages and 0 specfiles checked; 0 errors, 0 warnings.
  - [X] Language & locale [3/3]
    - [X] Spec in US English
    - [X] Spec legible
    - [X] Use %find_lang to handle locale files
	  N/A
  - [X] Build [3/3]
    - [X] Koji results
	  http://koji.fedoraproject.org/koji/taskinfo?taskID=2675410
    - [X] BRs complete
    - [X] Directory ownership
  - [-] Spec inspection [7/11]
    - [X] ldconfig for libraries
	  N/A
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting EPEL5]])
    - [X] No %clean section ([[https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean][except if targeting EPEL]])
    - [ ] %buildroot cleaned on %install
    - [X] Macro usage consistent
Comment 2 Peter Robinson 2010-12-18 17:21:53 EST
(In reply to comment #1)
> Almost ready; there are two small things that need fixing:
> 
> - release number should have the snapshot date, VCS used and (preferably)
> commit hash

Have you got a link to this documentation?

> - %install should start with the build root getting cleaned with rm -rf

It my understanding is that with the %clean section this is no longer required.
Comment 3 Michel Alexandre Salim 2010-12-19 01:13:31 EST
(In reply to comment #2)
> (In reply to comment #1)
> > Almost ready; there are two small things that need fixing:
> > 
> > - release number should have the snapshot date, VCS used and (preferably)
> > commit hash
> 
> Have you got a link to this documentation?

Yes; forgot to include it:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

(see the subsection on snapshots, with SVN and Git examples)
> 
> > - %install should start with the build root getting cleaned with rm -rf
> 
> It my understanding is that with the %clean section this is no longer required.
Ah, whoops. It's actually the BuildRoot change -- the %clean change just takes care of the post-building cleanup: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

So it's just the release number, and then this is good to go.

Note You need to log in before you can comment on or make changes to this bug.